Bug 143728 - Certain presentation crashes Impress after starting slideshow (Win crashes, Linux hangs)
Summary: Certain presentation crashes Impress after starting slideshow (Win crashes, L...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+ Master
Hardware: x86-64 (AMD64) All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-08-04 16:03 UTC by Buovjaga
Modified: 2021-08-05 18:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2021-08-04 16:03:08 UTC
1. Open attachment 173897 [details]
2. Press F5 to start slideshow

Regression as 7.1.3 works fine.

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 36efb384a66b6dd645e0ae80fd7df68370a9dc8b
CPU threads: 2; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: fi-FI (fi_FI); UI: en-US
Calc: threaded Jumbo
Comment 1 Julien Nabet 2021-08-04 17:46:53 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce the crash but got an hanging.
Comment 2 Telesto 2021-08-04 19:15:06 UTC
Confirm
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 36efb384a66b6dd645e0ae80fd7df68370a9dc8b
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: nl-NL
Calc: CL
Comment 3 Buovjaga 2021-08-05 10:14:25 UTC
Bibisected the Linux hang with 7.3 repo to
https://git.libreoffice.org/core/commit/c0ce120b55ba389729e97babf80f2cb39ce38e9f
osl::Mutex->std::mutex in EventQueue

Adding Cc: to Noel Grandin
Comment 4 Commit Notification 2021-08-05 13:41:55 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/63773ac90ed83987063077184e48b526f70216eb

tdf#143728 Certain presentation crashes Impress after starting slideshow

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Buovjaga 2021-08-05 16:35:30 UTC
Verified, thanks!

Arch Linux 64-bit
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: d43c1b9b88eeb800eaff4d63605892dc859d4f72
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 5 August 2021
Comment 6 Telesto 2021-08-05 17:57:46 UTC
Only mentioning: Insert -> Fontwork -> Double click any fontwork does crash too. Not sure if it's still the case after comment 4 (have to wait a day for a pre-build master)
Comment 7 Buovjaga 2021-08-05 18:17:32 UTC
(In reply to Telesto from comment #6)
> Only mentioning: Insert -> Fontwork -> Double click any fontwork does crash
> too. Not sure if it's still the case after comment 4 (have to wait a day for
> a pre-build master)

Still crashes, I will investigate it
Comment 8 Buovjaga 2021-08-05 18:46:58 UTC
(In reply to Buovjaga from comment #7)
> (In reply to Telesto from comment #6)
> > Only mentioning: Insert -> Fontwork -> Double click any fontwork does crash
> > too. Not sure if it's still the case after comment 4 (have to wait a day for
> > a pre-build master)
> 
> Still crashes, I will investigate it

Created bug 143749